#
# spec file for package python-cryptography-vectors
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


# ALWAYS KEEP IN SYNC WITH python-cryptography!
%{?sle15_python_module_pythons}
Name:           python-cryptography-vectors
# ALWAYS KEEP IN SYNC WITH python-cryptography!
Version:        41.0.4
Release:        1.1
Summary:        Test vectors for the cryptography package
License:        Apache-2.0 OR BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/pyca/cryptography
Source0:        https://files.pythonhosted.org/packages/source/c/cryptography_vectors/cryptography_vectors-%{version}.tar.gz
Source2:        %{name}.keyring
Source3:        python-cryptography-vectors-rpmlintrc
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Vectors for testing of the python cryptography package.

%prep
%setup -q -n cryptography_vectors-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

#%%check
# this is test data only package for tests with python-cryptography.

%files %{python_files}
%license LICENSE*
%{python_sitelib}/cryptography_vectors
%{python_sitelib}/cryptography_vectors-%{version}.dist-info

%changelog
* Thu Oct  5 2023 Dirk Müller <dmueller@suse.com>
- update to 41.0.4:
  * Update test vectors to match python-cryptography 41.0.4
* Tue Aug  8 2023 Dirk Müller <dmueller@suse.com>
- update to 41.0.3:
  * Update test vectors to match python-cryptography 41.0.3
* Tue Jul 11 2023 Dirk Müller <dmueller@suse.com>
- update to 41.0.2:
  * Update test vectors to match python-cryptography 41.0.2
* Mon Jun 19 2023 Dirk Müller <dmueller@suse.com>
- update to 41.0.1 (bsc#1212568):
  * Update test vectors to match python-cryptography 41.0.1
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Sat Apr 15 2023 Dirk Müller <dmueller@suse.com>
- update to 40.0.2:
  * Update test vectors to match python-cryptography 40.0.2
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
- Make calling of %%{sle15modernpython} optional.
* Sun Mar 26 2023 Dirk Müller <dmueller@suse.com>
- update to 40.0.1:
  * Update test vectors to match python-cryptography 40.0.1
* Tue Mar  7 2023 Dirk Müller <dmueller@suse.com>
- update to 39.0.2:
  * Update test vectors to match python-cryptography 39.0.2
* Thu Feb  9 2023 Matej Cepl <mcepl@suse.com>
- Update to 39.0.1:
  * Update test vectors to match python-cryptography 39.0.1
* Mon Jan  2 2023 Dirk Müller <dmueller@suse.com>
- update to 39.0.0
  * Update test vectors to match python-cryptography 39.0.0
* Wed Dec  7 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to 38.0.4
  * Fixed compilation when using LibreSSL 3.6.0.
  * Fixed error when using py2app to build an application with a cryptography dependency.
* Thu Nov  3 2022 Matej Cepl <mcepl@suse.com>
- update to 38.0.3:
  - Updated Windows, macOS, and Linux wheels to be compiled
    with OpenSSL 3.0.7, which resolves CVE-2022-3602 and
    CVE-2022-3786.
* Thu Oct 27 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to 38.0.2:
  * This release was subsequently yanked from PyPI due to a regression in OpenSSL.
  * Updated Windows, macOS, and Linux wheels to be compiled with OpenSSL 3.0.6.
* Thu Sep 29 2022 Dirk Müller <dmueller@suse.com>
- update to 38.0.1:
  * Update test vectors to match python-cryptography 38.0.1
* Tue Jul 19 2022 Dirk Müller <dmueller@suse.com>
- update to 37.0.4:
  * Update test vectors to match python-cryptography 37.0.4
* Sun May 15 2022 Dirk Müller <dmueller@suse.com>
- update to 37.0.2:
  * Update test vectors to match python-cryptography 37.0.2
* Sat Mar 26 2022 Dirk Müller <dmueller@suse.com>
- update to 36.0.2:
  * Updates test vectors to match python-cryptography 36.0.22
* Mon Dec 20 2021 Dirk Müller <dmueller@suse.com>
- update to 36.0.1
  * Updates test vectors to match python-cryptography 36.0.1
* Sat Nov 27 2021 Dirk Müller <dmueller@suse.com>
- update to 36.0.0
  * Updates test vectors to match python-cryptography 36.0.0
* Mon Nov  8 2021 Dirk Müller <dmueller@suse.com>
- disable python2 build as python-cryptography also has it disabled,
  this allows a python2-specific version to be injected
* Tue Oct 12 2021 Ben Greiner <code@bnavigator.de>
- Downgrade to 3.4.8
  * Always keep in sync with python-cryptograhy
* Thu Oct  7 2021 Pedro Monreal <pmonreal@suse.com>
- Add pem-certificate filters in python-cryptography-vectors-rpmlintrc
* Thu Oct  7 2021 Pedro Monreal <pmonreal@suse.com>
- Update to 35.0.0:
  * Changed the version scheme.
  * BACKWARDS INCOMPATIBLE: The X.509 PEM parsers now require that
    the PEM string passed have PEM delimiters of the correct type.
  * BACKWARDS INCOMPATIBLE: The X.509 certificate parser no longer
    allows negative serial numbers. RFC 5280 has always prohibited these.
  * BACKWARDS INCOMPATIBLE: Invalid ASN.1 found during X.509 parsing
    will raise an error on initial parse rather than when the
    invalid field is accessed.
  * Rust is now required for building cryptography, the
    CRYPTOGRAPHY_DONT_BUILD_RUST environment variable is no longer
    respected.
  * Parsers for X.509 no longer use OpenSSL and have been rewritten
    in Rust. This should be backwards compatible (modulo the items
    listed above) and improve both security and performance.
  * Added support for OpenSSL 3.0.0 as a compilation target.
  * Added support for SM3 and SM4, when using OpenSSL 1.1.1. These
    algorithms are provided for compatibility in regions where they
    may be required, and are not generally recommended.
  * We now ship manylinux_2_24 and musllinux_1_1 wheels, in addition
    to our manylinux2010 and manylinux2014 wheels.
  * Added rfc4514_attribute_name attribute to X509.NameAttribite.
  * Added KBKDFCMAC.
* Sun Feb  7 2021 Michael Ströder <michael@stroeder.com>
- update to 3.3.2 (bsc#1198331):
  * updated vectors for cryptography 3.3.2
* Sun Dec 20 2020 Dirk Müller <dmueller@suse.com>
- update to 3.3.1:
  * updated vectors for cryptography 3.3.1
* Wed Dec  9 2020 Marcus Rueckert <mrueckert@suse.de>
- update to 3.3:
  * updated vectors for cryptography 3.3
* Wed Oct 28 2020 Michael Ströder <michael@stroeder.com>
- update to 3.2.1:
  * updated vectors for cryptography 3.2.1
* Mon Oct 26 2020 Michael Ströder <michael@stroeder.com>
- update to 3.2:
  * updated vectors for cryptography 3.2
* Mon Sep 28 2020 Dirk Mueller <dmueller@suse.com>
- update to 3.1.1:
  * updated vectors for cryptography 3.1.1
* Fri Sep 18 2020 Dirk Mueller <dmueller@suse.com>
- update to 3.1:
  * updated vectors for cryptography 3.1
* Tue Jul 28 2020 Ondřej Súkup <mimi.vx@gmail.com>
- update to 3.0:
  * updated vectors for the cryptography 3.0 testing
* Fri May 15 2020 Michael Ströder <michael@stroeder.com>
- update to 2.9.2:
  * updated vectors for the cryptography 2.9.2 testing
* Thu Oct 17 2019 Michael Ströder <michael@stroeder.com>
- added .keyring source
- update to 2.8:
  * updated vectors for the cryptography 2.8 testing
* Mon Jun  3 2019 Ondřej Súkup <mimi.vx@gmail.com>
- update to 2.7:
  * updated vectors for the cryptography 2.7 testing
* Wed May 29 2019 Tomáš Chvátal <tchvatal@suse.com>
- Initial commit, split out of cryptography
